<?php
#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life:Source
# http://www.hlstatsx.com/
# Copyright (C) 2005 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HlstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
?>

<?php
   $game      = "css"; 


   $server_id = 1;
   if ((isset($_GET['server_id'])) && (is_numeric($_GET['server_id'])))
    $server_id = $_GET['server_id'];
   

    $query= "
			SELECT
				count(*)
			FROM
				hlstats_Players
      WHERE 
        game='$game'
		";
		$result = $db->query($query);
		list($total_players) = $db->fetch_row($result);

    $query= "
			SELECT
				SUM(kills),
				SUM(headshots),
				count(serverId)		
			FROM
				hlstats_Servers
      WHERE 
        game='$game'
		";
		$result = $db->query($query);
		list($total_kills, $total_headshots, $total_servers) = $db->fetch_row($result);


?>

<table width="100%" align="center" border=0 cellspacing=0 cellpadding=0>

<tr>
	<td>
	
<?php
    $query= "
			SELECT
				serverId,
				name,
				IF(publicaddress != '',
					publicaddress,
					concat(address, ':', port)
				) AS addr,
				statusurl,
				kills,
				headshots,				
				act_players,								
				max_players,
				act_map,
				map_started,
				map_ct_wins,
				map_ts_wins					
			FROM
				hlstats_Servers
			WHERE
				serverId='".$server_id."'
			ORDER BY
				name ASC,
				addr ASC
		";
		$db->query($query);
		$servers = array();
		while ($rowdata = $db->fetch_array())
		  $servers[] = $rowdata;
		  

		$i=0;
		for ($i=0; $i<count($servers); $i++)
		{
			$rowdata = $servers[$i]; 
			
			$server_id = $rowdata['serverId'];
			
			$c = ($i % 2) + 1;
			
			if ($rowdata["statusurl"])
			{
				$addr = "<a href=\"" . $rowdata["statusurl"] . "\">"
					. $rowdata["addr"] . "</a>";
			}
			else
			{
				$addr = $rowdata["addr"];
			}
			
			$kills     = $rowdata['kills'];
			$headshots = $rowdata['headshots'];
			
		  
		  $player_string = $rowdata['act_players']."/".$rowdata['max_players'];
		  $map_ct_wins = $rowdata['map_ct_wins'];
		  $map_ts_wins = $rowdata['map_ts_wins'];

?>

      <table width="100%" align="center" border=0 cellspacing=1 cellpadding=4 bgcolor="<?php echo $g_options["table_border"]; ?>">
				<tr valign="bottom" bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
					<td width="37%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Server</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="23%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Address</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Map</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Played</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="10%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Players</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Kills</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Headshots</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hpk</font><?php echo $g_options["fontend_small"]; ?></td>
				</tr>
				<tr valign="middle" bgcolor="<?php echo $g_options["table_bgcolor$c"]; ?>">
					<td align="left" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo "<b>".$rowdata["name"]."</b>";
						echo $g_options["fontend_normal"]; ?></td>
					<td align="left" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $addr;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $rowdata['act_map'];
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
         	  $stamp = time()-$rowdata['map_started'];
         	  $hours = sprintf("%02d", floor($stamp / 3600));
	       	  $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
	      	  $sec   = sprintf("%02d", floor($stamp % 60)); 
						echo $g_options["font_normal"];
						echo $hours.":".$min.":".$sec;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $player_string;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $kills;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $headshots;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						if ($kills>0)
						  echo sprintf("%.4f", ($headshots/$kills));
						else  
						  echo sprintf("%.4f", 0);
						echo $g_options["fontend_normal"];
					?></td>
				</tr>
        </table>        

        <table width="100%" align="center" border=0 cellspacing=0 cellpadding=2 bgcolor="<?php echo $g_options["table_border"]; ?>" style="border-bottom:1px solid <?php echo $g_options["table_border"]; ?>;border-left:1px solid <?php echo $g_options["table_border"]; ?>;border-right:1px solid <?php echo $g_options["table_border"]; ?>;">
    				<tr valign="bottom" bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">

			  		<td width="1%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;#</font><?php echo $g_options["fontend_small"]; ?></td>
		  			<td width="21%" align="left"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Player</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td colspan="3" width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Frags</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="2%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hs</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="4%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hpk</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Acc</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Lat</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Time</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;+/-</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Skill</font><?php echo $g_options["fontend_small"]; ?></td>
				  </tr>
				
<?php 
    $players = $db->query("SELECT * FROM hlstats_Livestats WHERE server_id=".$server_id." ORDER BY kills DESC");
		
		$ct_wins      = 0;
		$ct_kills     = 0;
		$ct_deaths    = 0;
		$ct_time      = 0;
		$ct_headshots = 0;
		$ct_pings     = 0;
		$ct_skill     = 0;
		$ct_shots     = 0;
		$ct_hits      = 0;
		
		$ts_wins      = 0;
		$ts_kills     = 0;
		$ts_deaths    = 0;
		$ts_time      = 0;
		$ts_headshots = 0;
		$ts_pings     = 0;
		$ts_skill     = 0;
		$ts_shots     = 0;
		$ts_hits      = 0;

		$ct_players = array();
		$ts_players = array();
		$co_players = array();
		while ($pl_rowdata = $db->fetch_array())
		{
			 if ($pl_rowdata['team'] == "CT") {
			   if ($pl_rowdata['connected'] > 0) {
  			 	 $ct_players[] = $pl_rowdata;
  			 	 $ct_kills     += $pl_rowdata['kills'];
  			 	 $ct_deaths    += $pl_rowdata['deaths'];
  			 	 $ct_headshots += $pl_rowdata['headshots'];
  			 	 $ct_pings     += $pl_rowdata['ping'];
  			 	 $ct_skill     += $pl_rowdata['skill'];
  			 	 $ct_shots     += $pl_rowdata['shots']; 
  			 	 $ct_hits      += $pl_rowdata['hits']; 
  			 	 $ct_time      += time()-$pl_rowdata['connected'];
			   } else
  			   $co_players[] = $pl_rowdata;	 
			 } else if ($pl_rowdata['team'] == "TERRORIST") {
			   if ($pl_rowdata['connected'] > 0) {
			 	   $ts_players[] = $pl_rowdata;
  			 	 $ts_kills     += $pl_rowdata['kills'];
  			 	 $ts_deaths    += $pl_rowdata['deaths'];
  			 	 $ts_headshots += $pl_rowdata['headshots'];
  			 	 $ts_pings     += $pl_rowdata['ping'];
  			 	 $ts_skill     += $pl_rowdata['skill'];
  			 	 $ts_shots     += $pl_rowdata['shots']; 
  			 	 $ts_hits      += $pl_rowdata['hits']; 
  			 	 $ts_time      += time()-$pl_rowdata['connected'];
			   } else
  			   $co_players[] = $pl_rowdata;	 
			 } else
			   $co_players[] = $pl_rowdata;	 
		}
		
		$j=0;
		while (isset($ct_players[$j])) {		
?>
              <tr>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo ($j+1);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
                    if (strlen($ct_players[$j]['name'])>20)
                      $ct_players[$j]['name'] = substr($ct_players[$j]['name'], 0, 20);
						        echo "<a class=\"ct_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$ct_players[$j]['player_id']."\">".htmlentities($ct_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['kills'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo ":";
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['deaths'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
					          echo $ct_players[$j]['headshots'];
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
				      			$hpk = sprintf("%.2f", 0);
				      			if ($ct_players[$j]['kills'] > 0) {
				      				$hpk = sprintf("%.2f", $ct_players[$j]['headshots']/$ct_players[$j]['kills']);
				      			}	  
					          echo $hpk;
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
				      			$acc = sprintf("%.0f", 0);
				      			if ($ct_players[$j]['shots'] > 0) {
				      				$acc = sprintf("%.0f", ($ct_players[$j]['hits']/$ct_players[$j]['shots'])*100);
				      			}	  
					          echo $acc."%";
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo sprintf("%.0f", $ct_players[$j]['ping'] / 2);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        if ($ct_players[$j]['connected']>0) {
						        	 $stamp = time()-$ct_players[$j]['connected'];
						        	 $hours = sprintf("%02d", floor($stamp / 3600));
						        	 $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
						        	 $sec   = sprintf("%02d", floor($stamp % 60)); 
						        	 echo $hours.":".$min.":".$sec;  
						        } else
						          echo "Unknown";	
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['skill_change'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['skill'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>


              </tr>          
<?php		
    $j++;
    }  // while players
    
        $j=0;
        while (isset($ts_players[$j])) {     
?>
              <tr>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo ($j+1);
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="left" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j])) {
                    if (strlen($ts_players[$j]['name'])>20)
                      $ts_players[$j]['name'] = substr($ts_players[$j]['name'], 0, 20);
                                echo "<a class=\"ts_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$ts_players[$j]['player_id']."\">".htmlentities($ts_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
                            } else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td width="2%" align="right" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo $ts_players[$j]['kills'];
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td width="1%" align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo ":";
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td width="2%" align="left" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo $ts_players[$j]['deaths'];
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                              echo $ts_players[$j]['headshots'];
                            else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j])) {
                                $hpk = sprintf("%.2f", 0);
                                if ($ts_players[$j]['kills'] > 0) {
                                    $hpk = sprintf("%.2f", $ts_players[$j]['headshots']/$ts_players[$j]['kills']);
                                }     
                              echo $hpk;
                            }else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j])) {
                                $acc = sprintf("%.0f", 0);
                                if ($ts_players[$j]['shots'] > 0) {
                                    $acc = sprintf("%.0f", ($ts_players[$j]['hits']/$ts_players[$j]['shots'])*100);
                                }     
                              echo $acc."%";
                            }else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo sprintf("%.0f", $ts_players[$j]['ping'] / 2);
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                if ($ts_players[$j]['connected']>0) {
                                     $stamp = time()-$ts_players[$j]['connected'];
                                     $hours = sprintf("%02d", floor($stamp / 3600));
                                     $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
                                     $sec   = sprintf("%02d", floor($stamp % 60)); 
                                     echo $hours.":".$min.":".$sec;  
                                } else
                                  echo "Unknown";   
                            else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo $ts_players[$j]['skill_change'];
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>
                        <td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
                            echo $g_options["font_normal"];
                            if (isset($ts_players[$j]))
                                echo $ts_players[$j]['skill'];
                              else
                                echo "&nbsp";  
                              echo $g_options["fontend_normal"]; ?></td>


              </tr>          
<?php       
    $j++;
    }  // while players


		$j=0;
		while (isset($co_players[$j])) {
			?>
              <tr>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo ($j+1);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j])) {
                    if (strlen($co_players[$j]['name'])>20)
                      $co_players[$j]['name'] = substr($co_players[$j]['name'], 0, 20);
						        echo "<a class=\"co_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$co_players[$j]['player_id']."\">".htmlentities($co_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo sprintf("%.0f", $co_players[$j]['ping'] / 2);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo $co_players[$j]['skill'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
						  </tr>      
			<?php
		$j++;	
		}			
    if ((count($ct_players)==0) && (count($ts_players)==0) && (count($co_players)==0))
    {
    	?>
              <tr>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td colspan="12" align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "No Players";  
						      echo $g_options["fontend_normal"]; ?></td>
						  </tr>
			<?php			      
    	
    }
    ?>
		  </table>
<?php			  	
	}  // for servers
?>
</table>
